Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358879 - [abrt] kf5-kinit: KIO::SlaveBase::exit(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: KIO::SlaveBase::exit(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a94344b3e7b38725716d9d2620f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 17:02 UTC by marc-schmitzer
Modified: 2017-08-08 15:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:46:11 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: cgroup (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: core_backtrace (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: dso_list (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: environ (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: exploitable (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: limits (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: maps (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: mountinfo (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: namespaces (deleted)
2016-07-21 17:02 UTC, marc-schmitzer
no flags Details
File: open_fds (deleted)
2016-07-21 17:03 UTC, marc-schmitzer
no flags Details
File: proc_pid_status (deleted)
2016-07-21 17:03 UTC, marc-schmitzer
no flags Details
File: var_log_messages (deleted)
2016-07-21 17:03 UTC, marc-schmitzer
no flags Details

Description marc-schmitzer 2016-07-21 17:02:36 UTC
Version-Release number of selected component:
kf5-kinit-5.23.0-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] http local:/run/user/1000/klauncherXM1038.1.slave-socket local:/run/user/1000/konsolevE8027.2.slave-socket'
crash_function: KIO::SlaveBase::exit
executable:     /usr/bin/kdeinit5
global_pid:     8265
kernel:         4.6.3-300.fc24.i686+PAE
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 KIO::SlaveBase::exit at /usr/src/debug/kio-5.23.0/src/core/slavebase.cpp:631
 #3 KIO::SlaveBase::mimeType at /usr/src/debug/kio-5.23.0/src/core/slavebase.cpp:608
 #4 HTTPProtocol::readResponseHeader at /usr/src/debug/kio-5.23.0/src/ioslaves/http/http.cpp:3581
 #5 HTTPProtocol::proceedUntilResponseHeader at /usr/src/debug/kio-5.23.0/src/ioslaves/http/http.cpp:670
 #6 HTTPProtocol::proceedUntilResponseContent at /usr/src/debug/kio-5.23.0/src/ioslaves/http/http.cpp:636
 #7 HTTPProtocol::get at /usr/src/debug/kio-5.23.0/src/ioslaves/http/http.cpp:1298
 #8 KIO::SlaveBase::dispatch at /usr/src/debug/kio-5.23.0/src/core/slavebase.cpp:1106
 #9 KIO::SlaveBase::dispatchLoop at /usr/src/debug/kio-5.23.0/src/core/slavebase.cpp:300
 #10 kdemain at /usr/src/debug/kio-5.23.0/src/ioslaves/http/http.cpp:128
 #11 launch at /usr/src/debug/kinit-5.23.0/src/kdeinit/kinit.cpp:744

Potential duplicate: bug 1274378

Comment 1 marc-schmitzer 2016-07-21 17:02:44 UTC
Created attachment 1182607 [details]
File: backtrace

Comment 2 marc-schmitzer 2016-07-21 17:02:46 UTC
Created attachment 1182608 [details]
File: cgroup

Comment 3 marc-schmitzer 2016-07-21 17:02:48 UTC
Created attachment 1182609 [details]
File: core_backtrace

Comment 4 marc-schmitzer 2016-07-21 17:02:49 UTC
Created attachment 1182610 [details]
File: dso_list

Comment 5 marc-schmitzer 2016-07-21 17:02:51 UTC
Created attachment 1182611 [details]
File: environ

Comment 6 marc-schmitzer 2016-07-21 17:02:52 UTC
Created attachment 1182612 [details]
File: exploitable

Comment 7 marc-schmitzer 2016-07-21 17:02:54 UTC
Created attachment 1182613 [details]
File: limits

Comment 8 marc-schmitzer 2016-07-21 17:02:56 UTC
Created attachment 1182614 [details]
File: maps

Comment 9 marc-schmitzer 2016-07-21 17:02:58 UTC
Created attachment 1182615 [details]
File: mountinfo

Comment 10 marc-schmitzer 2016-07-21 17:02:59 UTC
Created attachment 1182616 [details]
File: namespaces

Comment 11 marc-schmitzer 2016-07-21 17:03:01 UTC
Created attachment 1182617 [details]
File: open_fds

Comment 12 marc-schmitzer 2016-07-21 17:03:03 UTC
Created attachment 1182618 [details]
File: proc_pid_status

Comment 13 marc-schmitzer 2016-07-21 17:03:05 UTC
Created attachment 1182619 [details]
File: var_log_messages

Comment 14 Sylvain Petreolle 2016-08-17 23:53:57 UTC
Similar problem has been detected:

I clicked on a http link into Konversation.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] https local:/run/user/500/klauncherTJ5360.1.slave-socket local:/run/user/500/konversationPS7188.12.slave-socket'
crash_function: KIO::SlaveBase::exit
executable:     /usr/bin/kdeinit5
global_pid:     11312
kernel:         4.6.4-301.fc24.x86_64
package:        kf5-kinit-5.25.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            500

Comment 15 mha5012 2016-09-24 10:40:02 UTC
*** Bug 1379048 has been marked as a duplicate of this bug. ***

Comment 16 Christopher Heiny 2016-12-11 17:36:34 UTC
*** Bug 1403589 has been marked as a duplicate of this bug. ***

Comment 17 Sylvain Petreolle 2017-03-09 22:51:23 UTC
Similar problem has been detected:

I followed an https link into konversation, aka clicked on it and got the crash.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] https local:/run/user/500/klauncherTJ3788.1.slave-socket local:/run/user/500/konversationjG3292.13.slave-socket'
crash_function: KIO::SlaveBase::exit
executable:     /usr/bin/kdeinit5
global_pid:     9639
kernel:         4.9.10-100.fc24.x86_64
package:        kf5-kinit-5.31.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            500

Comment 18 Sylvain Petreolle 2017-03-09 23:01:32 UTC
Duplicates: 	1234274 1274378 1275819 1312579 1312592 1314075 1316464 1320553 1321070 1325543

Comment 19 Fedora End Of Life 2017-07-25 21:57:45 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-08-08 15:46:11 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.